## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
PRAGMA secure_delete = TRUE;
PRAGMA synchronous = 'EXTRA';
ATTACH DATABASE ':memory:' AS aux3;
SAVEPOINT sp3642;
PRAGMA vdbe_debug = NO;
SELECT atanh(randomblob(0))x0ACB29BM205381;
SELECT sqlite_compileoption_used('æçå¤©ä½ æ¯æä¹äº');
SELECT 1 >> -999999999999999999999999999;
SELECT sqlite_compileoption_get($1);
SELECT sqlite_version();
PRAGMA recursive_triggers = -2173336511320358554;
PRAGMA cache_size;
.cd bugs
PRAGMA encoding=UTF16le;
CREATE TABLE tkt3376(a COLLATE nocase PRIMARY KEY);
INSERT INTO tkt3376 VALUES('abc');
INSERT INTO tkt3376 VALUES('ABX');
SELECT DISTINCT a FROM tkt3376;
WITH cte(x) AS (SELECT a FROM tkt3376) SELECT x FROM cte;
RELEASE sp3642;
PRAGMA temp_store_directory = "/tmp";
PRAGMA data_store_directory = "/tmp";
DELETE FROM tkt3376 WHERE 1;
INSERT INTO tkt3376 VALUES (NULL);
UPDATE tkt3376 SET a = CURRENT_TIMESTAMP WHERE 1 RETURNING *;
DETACH DATABASE aux3;
WITH cte AS (SELECT a, COUNT(*) FROM tkt3376 GROUP BY a) SELECT * FROM cte;
WITH cte AS (SELECT 1 AS x) SELECT x + 0.5 FROM cte;
REINDEX tkt3376;
SELECT * FROM tkt3376 AS a FULL JOIN tkt3376 AS b ON a.rowid = b.rowid;
SELECT * FROM tkt3376;
SELECT MIN(a) FROM tkt3376;
CREATE TABLE T (
  a DATE,
  b REAL,
  c REAL
);
INSERT INTO T VALUES (1,2.0,10.5), (1,-3.5,20.25), (2,9e999,-1.0);
WITH d AS (SELECT a,SUM(b*c) AS e FROM T GROUP BY a) SELECT * FROM d;
INSERT INTO T VALUES (NULL, NULL, NULL);
SELECT * FROM T WHERE (a) IN (SELECT a FROM T);
CREATE  INDEX IF NOT EXISTS idx_T_8734 ON T(a);
DROP TABLE IF EXISTS tkt3376;
VACUUM;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

